#!/bin/bash 

[ -z $TMP_DIR ] && TMP_DIR=/dev/shm
[ -z $P_MAX ] && P_MAX=10       # Threads maximos
NAME=`pwd | rev | cut -d'/' -f1  | rev`

TMP=$TMP_DIR/tmpfile.txt

N=3 # De los tres tamaños de N

for c in gcc icc ; do
  for o in -O2 -O3 -Os ; do
     rm ${NAME}_${c}${o}-MEDIA.resultados 2>/dev/null
     
     for p in `seq 1 $P_MAX` ; do
	cat ${NAME}_$c$o.resultados | grep " P=$p, " >$TMP

     	MEDIA=$(echo scale=8\; \(`cat $TMP | sed "s|.*, N=\(.*\), S=\(.*\)|(\1*\2)|g" | tr "\n" "+"`0\) / $N | bc -l)
     	MEDIA=`echo $MEDIA | sed "s|^\.|0.|g"`
     	echo `cat $TMP | head -n 1 | cut -d' ' -f-2`" N=MEDIA," S=$MEDIA >> ${NAME}_${c}${o}-MEDIA.resultados
     done

  done
done

rm $TMP
