#!/bin/bash

        cat <<__EOF__ | gnuplot
set terminal pdf
set output "comparativa_matrizmatriz_matrizmatriz2.pdf"
set key right bottom
#set logscale y
set xlabel "Threads"
set ylabel "Megaflops"
set title "Multiplica matrices"
plot "../matrizmatriz/matrizmatriz_gcc-O2.mflops" using 1:2 with linespoints title "v1, gcc" 2 ,\
     "../matrizmatriz/matrizmatriz_icc-O2.mflops" using 1:2 with linespoints title "v1, icc" 4 ,\
     "../matrizmatriz2/matrizmatriz2_gcc-O2.mflops" using 1:2 with linespoints title "v2, gcc" 5 ,\
     "../matrizmatriz2/matrizmatriz2_icc-O2.mflops" using 1:2 with linespoints title "v2, icc" 6
__EOF__
