#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

int THREADS;

int main(int argc,char *argv[]) {
	int tamBucle;
	double start,fin,tiempo;
	int	iam,nprocs, x, i = 0;

	if (argc < 2) {
		printf("\n\n Uso:  %s tamBucle \n\n",argv[0]);
		exit(1);
	}

	x = (int) rand();

	tamBucle=atoi(argv[1]);

	start=omp_get_wtime();
	#pragma omp parallel private(iam,nprocs) 
	{
	    nprocs=omp_get_num_threads();
	    iam=omp_get_thread_num();
  		#pragma omp master
		THREADS=nprocs;

		for(i=0;i<tamBucle;i++)
		{
			#pragma omp parallel
			{
				if (i == x)
					fprintf(stderr, "");
			}
		}
	}
	fin=omp_get_wtime();

    	tiempo = fin - start;
    
    	if (tiempo == 0.)
      		printf("[%s] P=%d, N=%d, S=0 - No hay suficiente precision\n", argv[0], THREADS,tamBucle);
    	else
      		printf("[%s] P=%d, N=%d, S=%.6lf\n", argv[0], THREADS, tamBucle, tiempo);
}

