#!/bin/bash

F=bloques_busca_tam.resultados

OUT=`echo $F | cut -d'.' -f1`.tex
echo '\begin{table}' >$OUT
echo '\begin{center}' >>$OUT
echo -n '\begin{tabular}{|c|c|c|} \cline{1-3}' >>$OUT

echo '\cellcolor[gray]{.9} Tam. bloque &' >>$OUT
echo '\cellcolor[gray]{.9} N &' >>$OUT
echo '\cellcolor[gray]{.9} Segundos' >>$OUT
echo '\\ \hline' >>$OUT

cat $F | sed "s|.*B=\(.*\), N=\(.*\), S=\(.*\)|\\\\cellcolor\[gray\]\{.95\} \1 \& \2 \& \3  \\\\\\\\ \\\\hline|g" >>$OUT

L=`echo $F | cut -d'.' -f1 | tr '_' ' '`

echo '\end{tabular}' >>$OUT
echo "\\end{center}\\caption[$L]{$L}" >>$OUT
echo "\\end{table}\\label{tab:$L}" >>$OUT
