#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char **argv)
{
  double *a,*b,*c;
  int fa,ca,lda,fb,cb,ldb,fc,cc,ldc;

  int ti1,tf1,si,sf;
  struct timeval *tv;
  struct timezone *tz;

  tv=(struct timeval *) malloc(sizeof(struct timeval));
  tz=(struct timezone *) malloc(sizeof(struct timezone));

  scanf("%d",&fa);
  scanf("%d",&ca);
  lda=ca;
  fb=ca;
  scanf("%d",&cb);
  ldb=cb;
  fc=fa;
  cc=cb;
  ldc=cc;

  a=(double *) malloc(sizeof(double)*fa*ca);
  b=(double *) malloc(sizeof(double)*fb*cb);
  c=(double *) malloc(sizeof(double)*fc*cc);

  generar(a,fa,ca,lda);
  generar(b,fb,cb,ldb);
 
  gettimeofday(tv,tz);
  si=(tv->tv_sec);
  ti1=(tv->tv_usec);
  ti1=si*1000000+ti1;

  mult(a,fa,ca,lda,b,fb,cb,ldb,c,fc,cc,ldc);

  gettimeofday(tv,tz);
  sf=(tv->tv_sec);
  tf1=(tv->tv_usec);
  tf1=sf*1000000+tf1;
  //printf("Tamao %d: %.6f seg\n",fa,(tf1-ti1)/1000000.);
  printf("[%s] N=%d, S=%.6f\n", argv[0], fa,(tf1-ti1)/1000000.);

  escribir(c,fc,cc,ldc);
 
  free(tv);
  free(tz);
  free(a);
  free(b);
  free(c);
}

generar(m,fm,cm,ldm)
double *m;
int fm,cm,ldm;
{
  int i,j;

  for(i=0;i<fm;i++)
  {
    for(j=0;j<cm;j++)
    {
      m[i*ldm+j]=(double) (i+j);
    }
  }
}

escribir(m,fm,cm,ldm)
double *m;
int fm,cm,ldm;
{
/*   int i,j;

  for(i=0;i<fm;i++)
  {
    for(j=0;j<cm;j++)
    {
      fprintf(stderr, "%.4f ",m[i*ldm+j]);
    }
    fprintf(stderr, "\n");
  }*/
}

mult(a,fa,ca,lda,b,fb,cb,ldb,c,fc,cc,ldc)
double *a;
int fa,ca,lda;
double *b;
int fb,cb,ldb;
double *c;
int fc,cc,ldc;
{
  int i,j,k;
  double s;

  for(i=0;i<fa;i++)
  {
    for(j=0;j<cb;j++)
    {
      s=0.;
      for(k=0;k<ca;k++)
      {
        s+=a[i*lda+k]*b[k*ldb+j];
      }
      c[i*ldc+j]=s;
    }
  }
}

